Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 837317 - x11-drivers/nvidia-drivers-510.73.05-r1 stabilization
Summary: x11-drivers/nvidia-drivers-510.73.05-r1 stabilization
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Stabilization (show other bugs)
Hardware: All Linux
: Normal enhancement (vote)
Assignee: Ionen Wolkens
URL:
Whiteboard:
Keywords:
Depends on: 850679 830482 qt-5.15.3-stable
Blocks:
  Show dependency tree
 
Reported: 2022-04-08 22:44 UTC by Ionen Wolkens
Modified: 2022-06-09 04:13 UTC (History)
3 users (show)

See Also:
Package list:
x11-drivers/nvidia-drivers-510.73.05-r1 *
Runtime testing required: ---
nattka: sanity-check+


Attachments
Log for installing nvidia-drivers-510.68.02 on a GT 710 (x11-drivers:nvidia-drivers-510.68.02:20220512-095609.log,651.25 KB, text/x-log)
2022-05-12 10:06 UTC, Bill Binder
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ionen Wolkens gentoo-dev 2022-04-08 22:44:48 UTC
No urgency and only for tracking 510 branch stabilization (version may still change).

wrt bug #835762, this is about [1] being included + stabled (>=qtwayland-5.15.2-r18 which I imagine will be 5.15.3 at this point after issues been ironed out -- again, no urgency).

Also would like a report from someone with a Kepler card[2] to confirm that installing >=nvidia-drivers-510 gives them a huge warning that it doesn't support their card after installing (albeit this is generally well known).

[1] https://invent.kde.org/qt/qt/qtwayland/-/merge_requests/24
[2] https://nvidia.custhelp.com/app/answers/detail/a_id/5204
Comment 1 NATTkA bot gentoo-dev 2022-05-11 21:52:19 UTC Comment hidden (obsolete)
Comment 2 NATTkA bot gentoo-dev 2022-05-11 22:04:23 UTC Comment hidden (obsolete)
Comment 3 Bill Binder 2022-05-12 09:48:28 UTC
It matters because you need a 510 series driver for RTX 30* cards, which are finally available at sane prices. The 470 series driver doesn't work for these.
Comment 4 Bill Binder 2022-05-12 10:06:49 UTC
Created attachment 778226 [details]
Log for installing nvidia-drivers-510.68.02 on a GT 710

Installs and warns about the version

# lspci | grep NVIDIA
01:00.0 VGA compatible controller: NVIDIA Corporation GK208B [GeForce GT 710] (rev a1)
Comment 5 Ionen Wolkens gentoo-dev 2022-05-12 12:17:05 UTC
Still waiting for bug #830482, I recall Xorg talking of doing "a new release in 2 weeks" on their bug tracker and felt no hurry but that was some months ago.
Comment 6 NATTkA bot gentoo-dev 2022-05-26 06:15:42 UTC Comment hidden (obsolete)
Comment 7 Ionen Wolkens gentoo-dev 2022-05-26 06:26:56 UTC
On a side-note, according to nvidia's changelog, newly stabled 470.129.06 now supports additional 30xx cards (e.g. 3090ti) meanwhile.
Comment 8 NATTkA bot gentoo-dev 2022-05-26 06:28:26 UTC
All sanity-check issues have been resolved
Comment 9 Larry the Git Cow gentoo-dev 2022-06-09 04:13:07 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d7945ab3bcce5416cb5cf3542c77ae9d6cce6d75

commit d7945ab3bcce5416cb5cf3542c77ae9d6cce6d75
Author:     Ionen Wolkens <ionen@gentoo.org>
AuthorDate: 2022-06-09 04:04:35 +0000
Commit:     Ionen Wolkens <ionen@gentoo.org>
CommitDate: 2022-06-09 04:05:24 +0000

    x11-drivers/nvidia-drivers: stabilize 510.73.05-r1 for amd64
    
    Branch been tested for a while and major known issues are sorted
    out in stable now.
    
    May at most still be a bit rocky for wayland users given the
    some applications will switch to using GBM, but gnome/kde have
    rolled out fixes to major issues a while ago.
    
    Owners of Kepler cards should mask >=x11-drivers/nvidia-drivers-471
    as the ebuild will warn about (thanks for testing wrt #837317).
    
    Closes: https://bugs.gentoo.org/837317
    Signed-off-by: Ionen Wolkens <ionen@gentoo.org>

 x11-drivers/nvidia-drivers/nvidia-drivers-510.73.05-r1.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)